unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OleServer, Excel2000, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    ExcelApplication1: TExcelApplication;
    Button5: TButton;
    Button6: TButton;
    ExcelWorksheet1: TExcelWorksheet;
    ExcelWorkbook1: TExcelWorkbook;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
 //lcid:=LOCALE_SYSTEM_DEFAULT;
 ExcelApplication1.ConnectKind:=ckNewInstance;
 ExcelApplication1.AutoQuit:=true;
 //   Excel
 ExcelApplication1.Visible[LOCALE_SYSTEM_DEFAULT]:=true;
 ExcelApplication1.AutoConnect:=true;
 ExcelWorkbook1.ConnectTo(ExcelApplication1.Workbooks.Add(EmptyParam,LOCALE_SYSTEM_DEFAULT));
 ExcelWorksheet1.ConnectTo(ExcelApplication1.ActiveWorkbook.ActiveSheet as ExcelWorkSheet);
 Button2.Enabled:=true;
 Button5.Enabled:=true;
 Button6.Enabled:=true;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 ExcelApplication1.Workbooks.Add(EmptyParam,LOCALE_SYSTEM_DEFAULT);
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  ExcelApplication1.Workbooks.Close(LOCALE_SYSTEM_DEFAULT);
  Button2.Enabled:=false;
  Button6.Enabled:=false;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
 ExcelApplication1.ActiveWorkBook.PrintOut(1,EmptyParam,EmptyParam,1,true,EmptyParam,EmptyParam,EmptyParam,LOCALE_USER_DEFAULT);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Button2.Enabled:=false;
  Button5.Enabled:=false;
  Button6.Enabled:=false;
end;

end.
